Bug 1585541 - "Create dockergc DaemonSet" task failed due to AnsibleUndefinedVariable error when enable crio
Summary: "Create dockergc DaemonSet" task failed due to AnsibleUndefinedVariable error...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.10.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 3.10.0
Assignee: Scott Dodson
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-04 03:19 UTC by Johnny Liu
Modified: 2018-07-23 13:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-06-18 17:03:19 UTC
Target Upstream Version:


Attachments (Terms of Use)
installation log with inventory file embedded (1.02 MB, text/plain)
2018-06-04 03:19 UTC, Johnny Liu
no flags Details

Description Johnny Liu 2018-06-04 03:19:26 UTC
Created attachment 1447275 [details]
installation log with inventory file embedded

Description of problem:
See the following details

Version-Release number of the following components:
openshift-ansible-3.10.0-0.57.0.git.0.9c9b14f.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Enable crio for an installation with openshift_use_crio=true
2.
3.

Actual results:
Installation exit with the following error:
TASK [openshift_docker_gc : Create dockergc DaemonSet] *************************
Friday 01 June 2018  22:32:53 -0400 (0:00:00.621)       0:11:35.795 *********** 
fatal: [ec2-34-230-48-21.compute-1.amazonaws.com]: FAILED! => {"changed": false, "failed": true, "msg": "AnsibleUndefinedVariable: {{ l_os_registry_url | regex_replace(l_openshift_logging_search | regex_escape, l_os_dockergc_replace) }}: 'l_openshift_logging_search' is undefined"}

Expected results:
Should be passed.

Additional info:
Please attach logs from ansible-playbook with the -vvv flag

Comment 1 Scott Dodson 2018-06-04 13:45:00 UTC
https://github.com/openshift/openshift-ansible/pull/8612 fixed this
In openshift-ansible-3.10.0-0.58.0 and later

Comment 2 Johnny Liu 2018-06-05 06:31:16 UTC
Verified this bug with openshift-ansible-3.10.0-0.58.0.git.0.d8f6377.el7.noarch, and PASS.

TASK [openshift_docker_gc : Create dockergc DaemonSet] *************************
Tuesday 05 June 2018  01:56:14 -0400 (0:00:00.569)       0:14:17.518 ********** 

changed: [qe-jialiu3101-master-etcd-1.0605-t1h.qe.rhcloud.com] => {"changed": true, "checksum": "b1fded95a0ce7bac18d123c6935ccf1aa0b569fe", "dest": "/tmp/tmp.p7JsWuwOlU/dockergc-ds.yaml", "failed": false, "gid": 0, "group": "root", "md5sum": "691a2bdcdb588b58db79e0ec7242abc5", "mode": "0644", "owner": "root", "secontext": "unconfined_u:object_r:admin_home_t:s0", "size": 1513, "src": "/root/.ansible/tmp/ansible-tmp-1528178174.86-25553643472511/source", "state": "file", "uid": 0}

# oc get po dockergc-44mm4 -o yaml|grep "image:"
    image: registry.reg-aws.openshift.com:443/openshift3/ose:v3.10


Note You need to log in before you can comment on or make changes to this bug.